<?php

/**
 * Class CategoriaArbitralModel . Clase Modelo
 */
class CategoriaArbitralModel extends CI_Model


{
    const TABLE_NAME = 'CategoriaArbitral';

    /**
     * CategoriaArbitralModel constructor.
     */
    public function __construct()
    {
        parent::__construct();
        $this->load->database();
    }


    /**
     * Funcion que devuelve las categorias arbitrales
     * @return CategoriaArbitralModel[] . Array con las diferentes categorias arbitrales registradas en la BBDD
     */
    public function getRefereeCategories() {
        $sql = 'SELECT C.* FROM CategoriaArbitral C';
        $query =  $this -> db -> query($sql);
        return $query -> result();
    }


}